Blue Guardrails

Export Experiment

GET
/v1/experiments/{experiment_id}/export

Export full experiment data as JSON.

Path Parameters

experiment_id*Experiment Id
Formatuuid

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/export"
{  "experiment": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "model": "string",    "evaluator_id": "92c2c259-25b9-47e2-bc3b-bd161a87f750",    "evaluator_name": "string",    "baseline_metrics": {      "issue_rate": 0,      "total_issues": 0,      "cost_per_1k": 0,      "issue_labels": {        "property1": 0,        "property2": 0      },      "total_input_tokens": 0,      "total_output_tokens": 0,      "avg_input_tokens": 0,      "avg_output_tokens": 0,      "avg_issues_per_evaluation": 0,      "issue_free_message_count": 0,      "total_generation_time_ms": 0,      "avg_response_latency_ms": 0,      "max_response_latency_ms": 0,      "parameter_issues": {        "property1": {          "property1": 0,          "property2": 0        },        "property2": {          "property1": 0,          "property2": 0        }      }    },    "conversation_ids": [      "string"    ],    "reasoning_config": {},    "system_prompt_override": "string",    "output_schema": [      {        "name": "string",        "type": "string",        "is_list": false,        "is_optional": false      }    ],    "created_by_user_id": "209f54c4-4c33-43bc-9c6a-ef4c65ad7473",    "created_by_user_name": "string",    "created_by_service_account_id": "5434fcf1-291e-49ce-ac43-2f469070b2f5",    "created_by_service_account_name": "string",    "created_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "total_items_count": 0,    "completed_items_count": 0,    "evaluations_expected": 0,    "evaluations_received": 0,    "status_summary": {      "pending": 0,      "queued": 0,      "generating": 0,      "evaluating": 0,      "in_progress": 0,      "completed": 0,      "failed": 0,      "total": 0    },    "metrics": {      "issue_rate": 0,      "total_issues": 0,      "cost_per_1k": 0,      "issue_labels": {        "property1": 0,        "property2": 0      },      "total_input_tokens": 0,      "total_output_tokens": 0,      "avg_input_tokens": 0,      "avg_output_tokens": 0,      "avg_issues_per_evaluation": 0,      "issue_free_message_count": 0,      "total_generation_time_ms": 0,      "avg_response_latency_ms": 0,      "max_response_latency_ms": 0,      "parameter_issues": {        "property1": {          "property1": 0,          "property2": 0        },        "property2": {          "property1": 0,          "property2": 0        }      }    }  },  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "string",      "error_message": "string",      "evaluations_expected": 0,      "evaluations_received": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "source_conversation": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "string",        "messages": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "role": "string",            "parts": [              {}            ],            "sequence_number": 0,            "generation": {              "model": "string",              "provider": "string",              "input_tokens": 0,              "output_tokens": 0,              "cost_usd": 0,              "latency_ms": 0,              "finish_reasons": [                "string"              ]            }          }        ]      },      "result_conversation": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "string",        "messages": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "role": "string",            "parts": [              {}            ],            "sequence_number": 0,            "generation": {              "model": "string",              "provider": "string",              "input_tokens": 0,              "output_tokens": 0,              "cost_usd": 0,              "latency_ms": 0,              "finish_reasons": [                "string"              ]            }          }        ]      }    }  ],  "evaluations": {    "property1": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "status": "string",      "model": "string",      "input_tokens": 0,      "output_tokens": 0,      "detection_duration_ms": 0,      "total_duration_ms": 0,      "error_message": "string",      "annotations": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "label": "string",          "text": "string",          "explanation": "string",          "message_part_index": 0,          "start_offset": 0,          "end_offset": 0,          "tool_name": "string",          "parameter_name": "string"        }      ]    },    "property2": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "status": "string",      "model": "string",      "input_tokens": 0,      "output_tokens": 0,      "detection_duration_ms": 0,      "total_duration_ms": 0,      "error_message": "string",      "annotations": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "label": "string",          "text": "string",          "explanation": "string",          "message_part_index": 0,          "start_offset": 0,          "end_offset": 0,          "tool_name": "string",          "parameter_name": "string"        }      ]    }  }}